FieldGroup< BaseTypeList_T, Dims_T >::GrabFields Struct Reference

`#include <FieldGroup.h>`

## Public Member Functions

| GrabFields (Field3D::FieldRes::Ptr f, const M44d &osToWs, ValueRemapOp::Ptr op, const bool doWsBoundsOptimization)
| Ctor.
template<typename WrapperVec_T>
void | operator() (WrapperVec_T &vec) const
| Functor.

## Private Attributes

bool | m_doWsBoundsOptimization
| Enable world space bounds optimization.
Field3D::FieldRes::Ptr | m_field
| The field to work on. Will be matched against the type of operator().
ValueRemapOp::Ptr | m_op
| Value remap operator.
M44d | m_osToWs
| Object to world transform.

## Detailed Description

template<typename BaseTypeList_T, int Dims_T>
struct FieldGroup< BaseTypeList_T, Dims_T >::GrabFields

Definition at line 899 of file FieldGroup.h.

## Constructor & Destructor Documentation

## GrabFields()

template<typename BaseTypeList_T, int Dims_T>

FieldGroup< BaseTypeList_T, Dims_T >::GrabFields::GrabFields | ( | Field3D::FieldRes::Ptr | f,
|  | const M44d & | osToWs,
|  | ValueRemapOp::Ptr | op,
|  | const bool | doWsBoundsOptimization )

inline

Ctor.

Definition at line 902 of file FieldGroup.h.

: m_field(f), m_osToWs(osToWs), m_op(op),
m_doWsBoundsOptimization(doWsBoundsOptimization)
{ }
FieldGroup::GrabFields::m_osToWs
M44d m_osToWs
Object to world transform.
Definition FieldGroup.h:946
FieldGroup::GrabFields::m_doWsBoundsOptimization
bool m_doWsBoundsOptimization
Enable world space bounds optimization.
Definition FieldGroup.h:950
FieldGroup::GrabFields::m_op
ValueRemapOp::Ptr m_op
Value remap operator.
Definition FieldGroup.h:948
FieldGroup::GrabFields::m_field
Field3D::FieldRes::Ptr m_field
The field to work on. Will be matched against the type of operator().
Definition FieldGroup.h:944
FieldGroup
Definition FieldGroup.h:304

References m_doWsBoundsOptimization, m_field, m_op, and m_osToWs.

## Member Function Documentation

## operator()()

template<typename BaseTypeList_T, int Dims_T>
template<typename WrapperVec_T>

void FieldGroup< BaseTypeList_T, Dims_T >::GrabFields::operator() | ( | WrapperVec_T & | vec | ) | const

inline

Functor.

Definition at line 911 of file FieldGroup.h.

{
// Typedefs
typedef typename WrapperVec_T::value_type Wrapper_T;
typedef typename Wrapper_T::field_type Field_T;
typedef typename Field_T::Ptr FieldPtr;
// Grab field if type matches
if (FieldPtr f =
Field3D::field_dynamic_cast<Field_T>(m_field)) {
// Add to FieldWrapper vector
vec.push_back(f);
// Grab just-inserted entry
Wrapper_T &entry = vec.back();
// Set up transform
M44d id;
if (m_osToWs != id) {
entry.setOsToWs(m_osToWs);
}
// Set toggle to use world axis aligned bounding boxes in
// lookups
if (m_doWsBoundsOptimization) {
entry.setWsBoundsOptimization(m_doWsBoundsOptimization);
}
// Set up value remap op
if (m_op) {
entry.setValueRemapOp(m_op);
}
}
}
FieldGroup::setWsBoundsOptimization
virtual void setWsBoundsOptimization(const bool doWsBoundsOptimization)
Enable world axis aligned bounding box in lookups. This will be used for subsequent setup() and load(...
Definition FieldGroup.h:511
FieldGroup::setOsToWs
void setOsToWs(const Imath::M44d &osToWs)
Sets the current object to world transform. This will be used for subsequent setup() and load() calls...
Definition FieldGroup.h:502
FieldGroup::setValueRemapOp
void setValueRemapOp(ValueRemapOp::Ptr op)
Sets the current ValueRemap operator. This will be used for subsequent setup() and load() calls....
Definition FieldGroup.h:529

References m_doWsBoundsOptimization, m_field, m_op, and m_osToWs.

## Member Data Documentation

## m_field

template<typename BaseTypeList_T, int Dims_T>

Field3D::FieldRes::Ptr FieldGroup< BaseTypeList_T, Dims_T >::GrabFields::m_field

private

The field to work on. Will be matched against the type of operator().

Definition at line 944 of file FieldGroup.h.

Referenced by GrabFields(), and operator()().

## m_osToWs

template<typename BaseTypeList_T, int Dims_T>

M44d FieldGroup< BaseTypeList_T, Dims_T >::GrabFields::m_osToWs

private

Object to world transform.

Definition at line 946 of file FieldGroup.h.

Referenced by GrabFields(), and operator()().

## m_op

template<typename BaseTypeList_T, int Dims_T>

ValueRemapOp::Ptr FieldGroup< BaseTypeList_T, Dims_T >::GrabFields::m_op

private

Value remap operator.

Definition at line 948 of file FieldGroup.h.

Referenced by GrabFields(), and operator()().

## m_doWsBoundsOptimization

template<typename BaseTypeList_T, int Dims_T>

bool FieldGroup< BaseTypeList_T, Dims_T >::GrabFields::m_doWsBoundsOptimization

private

Enable world space bounds optimization.

Definition at line 950 of file FieldGroup.h.

Referenced by GrabFields(), and operator()().

The documentation for this struct was generated from the following file:

- export/FieldGroup.h